/*
 * Copyright (C) 2004  Roman Bogorodskiy
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: main.c 11 2004-09-05 17:45:29Z novel $
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "stat.h"
#include "common.h"
#include "colors.h"

int main(int argc, char **argv)
{
	int i,
	    ch;
	char *fs_type = "all";
	
	
	blocksize = 1048576;
	
     	while ((ch = getopt(argc, argv, "gkmt:v")) != -1)
        	switch (ch) {
             		case 'k':
				blocksize = 1024;
                     		break;
             		case 'm':
				blocksize = 1048576;
                     		break;
			case 'g':
				blocksize = 1073741824;
				break;
			case 't':
				fs_type = strdup(optarg);
				break;		
			case 'v':
				(void)fprintf(stderr, "%s\n\n", PACKAGE_STRING);
				return 0;
             		case '?':
             		default:
                     		usage();
             	}
	argc -= optind;
     	argv += optind;

	read_colors();
	
	if (argc == 0) 
		display_all_fs(fs_type);
	else 
		for (i = 0; i< argc; i++)
			display_single_fs(argv[i]);
	
	return 0;
}

void usage()
{
	(void)fprintf(stderr, "usage: cdf [ -kmg ] [ -t type ] [ -v ]\n\n");

	exit(0);
}
